import { BasicColumn, FormSchema } from '/@/components/Table';
export const columns: BasicColumn[] = [
  {
    title: '检查对象',
    dataIndex: 'xzxdr',
  },
  {
    title: '所属地市',
    dataIndex: 'countryName',
  },
  {
    title: '所属区县',
    dataIndex: 'cityName',
  },
  {
    title: '任务类型',
    dataIndex: 'rwlxmc',
  },
  {
    title: '执法人员',
    dataIndex: '',
  },
  {
    title: '检查时间',
    dataIndex: '',
  },
  {
    title: '是否发现问题',
    dataIndex: 'dklx',
    customRender: ({ record }: any) => {
      if (record.tcwr == '0') {
        return '未发现问题';
      } else if (record.tcwr == '1') {
        return '发现一般环境问题';
      } else if (record.tcwr == '2') {
        return '发现涉嫌环境违法问题';
      }
    },
  },
];
export const searchFormSchema: FormSchema[] = [
  {
    label: '检查时间',
    field: 'isSuspect',
    component: 'RangePicker',
  },
  {
    label: '是否发现问题',
    field: 'faliyiju',
    component: 'JSearchSelect',
    componentProps: {
      dict: 'dk_zcyj',
    },
  },
];
